# Interface methods for submodule: UnsharpMaskImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: UnsharpMaskImageFilter
class UnsharpMaskImageFilterProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetSigmas(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetSigmas(self) -> Sequence[float]:
		""""""
		...

	def SetSigma(self, sigma: float) -> None:
		""""""
		...

	def SetAmount(self, _arg: float) -> None:
		""""""
		...

	def GetAmount(self) -> float:
		""""""
		...

	def SetThreshold(self, _arg: float) -> None:
		""""""
		...

	def GetThreshold(self) -> float:
		""""""
		...

	def SetClamp(self, _arg: bool) -> None:
		""""""
		...

	def GetClamp(self) -> bool:
		""""""
		...

	def ClampOn(self) -> None:
		""""""
		...

	def ClampOff(self) -> None:
		""""""
		...

